MEV(1)

NOMBRE
mev - un programa para informar de los eventos del ratón

SINOPSIS
mev [ opciones ]

DESCRIPCIÓN
El programa “mev” es parte del paquete gpm. La información de más abajo está extraída del fichero texinfo, la cual es la fuente de información preferida.

El programa `mev' se ha realizado tomando como modelo `xev'. Imprime en la salida estándar (stdout) de la consola los eventos que recibe, tanto del telclado como del ratón.

El comportamiento por defecto de `mev' es capturar cualquier cosa, pero se pueden usar las opciones de la línea de órdenes para establecer diferentes campos en la estructura `Gpm_Connect', para personalizar el comportamiento del programa. Estoy usando `mev' para manejar los eventos del ratón en emacs.

Las opciones de la línea de órdenes para `mev' son las siguientes:

-C número
    Selecciona una consola virtual desde la que recibir eventos. Esto está pensado para ser usado para depuración.

-d número
    Selecciona una máscara por defecto. Por defecto el servidor recibe cualquier evento no perteneciente a la máscara de eventos. La máscara puede ser suministrada bien como un número decimal o una cadena simbólica.

-e número
    Selecciona la máscara de eventos. Por defecto cualquier evento es recibido. La máscara puede ser suministrada bien como un número decimal o una cadena simbólica.

-E  Pasa a modo emacs. En modo emacs los eventos son informados en formato lisp en lugar de números. Este es el formato usado por el paquete t-mouse dentro de emacs.

-f  Fit events inside the screen before reporting them. This options re-fits drag events, which are allowed to exit the screen border,

-i  Modo interactivo. Acepta entradas desde la entrada estándar para cambiar parámetros de conexión.

-m número
    Selecciona la máscara de modificadores mínimos. Cualquier evento menos modificadores de los indicados no serán informado a mev. Por defecto es 0. La máscara debe ser suministrada bien como un número decimal o una cadena simbólica.

-M número
    Selecciona la máscara de modificadores máximos. Cualquier evento con más modificadores que los indicados no será informado a mev. Por defecto es 0, es decir, todos los eventos serán recibidos. La máscara debe ser suministrada bien como un número decimal o una cadena simbólica.

-p  Solicita dibujar el puntero mientras se arrastra. Esta opción es usada por emacs para evitar invocar a ioctl() desde el código lisp.

Cuando los argumento no son decimales enteros, son considerados listas de caracteres alfanuméricos, separados por un único carácter no alfanumérico. Yo uso la coma “,”, pero cualquier otro funcionará.

Los nombres permitidos para eventos son `move', `drag', `down' o `press', `up' o `release', `motion' (el cual es `move' y `drag') y `hard'.

Los nombres permitidos para modificadores son `shift', `leftAlt', `rightAlt', `anyAlt' (uno o el otro), `control'.

Cuando se especificada la opción `-i', `mev' mira a su entrada estándar como una línea de órdenes en lugar de eventos. Las líneas de entrada son analizadas, y las órdenes push y pop son reconocidas.

La orden 'push', entonces, acepta las opciones `-d', `-e', `-m' y `-M', con el mismo significado descrito anteriormente. Las opciones no especificadas mantienen los valores previos y las máscaras resultante son usadas para reabrir la conexión con el servidor. `pop' es usado para desapilar de la pila la conexión. Si se intenta desapilar de una pila vacía, el programa terminará.

Other commands recognized are `info', used to return the stack depth; `quit' to prematurely terminate the program; and `snapshot' to get some configuration information from the server.

ERRORES
Beginning with release 1.16, mev no longer works under xterm. Please use the rmev program (provided in the sample directory) to watch gpm events under xterm or rxvt. rmev also displays keyboard events besides mouse events.

AUTOR
Alessandro Rubini <rubini@linux.it>
Ian Zimmerman <itz@speakeasy.org>

ARCHIVOS
/dev/gpmctl En enchufe (socket) usado para conectarse a gpm.

VÉASE TAMBIÉN
 gpm(8)       El servidor del ratón

El fichero info sobre `gpm', el cual da una completa información y explica como escribir un cliente gpm.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Fidel García <fidelgq@dinamic.net>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.